/*
{*******************************************************************}
{                                                                   }
{       KS.CRM                                                      }
{       Customer Relationship Management                            }
{                                                                   }
{       Copyright (c) 2002 - 2013 by Kroll-Software                 }
{       All Rights Reserved                                         }
{                                                                   }
{   This code is provided 'as is',                                  }
{   without warranties of any kind. Use at your own risk.           }
{                                                                   }
{   You need a KS.CRM source-code license in order to use           }
{   these sources or portions of it.                                }
{                                                                   }
{   You must not publish, redistribute or transfer                  }
{   this source code to 3rd parties under any conditions.           }
{                                                                   }
{*******************************************************************}
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using KS.Common;

namespace KS.CRM.Favorites
{
    public partial class FavoritesNavigationControl : KS.CRM.UI.NavigationGridViewControl
    {                
        public FavoritesNavigationControl()
            : base()
        {            
            InitializeComponent();
                        
            this.splitContainer1.SplitterDistance = tableLayoutPanel1.PreferredSize.Height;
            this.splitContainer1.IsSplitterFixed = true;

            ucCategories1.RootNodeTitle = Properties.Resources.CategoryRootNodeTitle;
        }        

        //protected override void OnFontChanged(EventArgs e)
        //{
        //    base.OnFontChanged(e);

        //    if (splitContainer1 != null && tableLayoutPanel1 != null)
        //        splitContainer1.SplitterDistance = this.tableLayoutPanel1.PreferredSize.Height;
        //}

        protected override void OnLayout(LayoutEventArgs e)
        {
            if (splitContainer1 != null && tableLayoutPanel1 != null)
                splitContainer1.SplitterDistance = this.tableLayoutPanel1.PreferredSize.Height;

            base.OnLayout(e);
        }

        private bool bInitialized = false;
        public override void InitData(KS.CRM.Base.CrmDatabase DB)
        {
            base.InitData(DB);

            if (!bInitialized)
            {
                KS.CRM.UI.CrmGrid GRD = MainViewControl.GRD;                

                m_DataViewManager.AddDataView("Favorites", new GridViewFavorites(m_DB, GRD, this.ucCategories1));
                m_DataViewManager.AddDataView("Histories", new GridViewHistories(m_DB, GRD));                

                bInitialized = true;
            }
        }        

        public override bool LoadData()
        {
            ShowStatus(Properties.Resources.NavControlLoadingCategories, true);
            ucCategories1.IsPrivate = true;

            ucCategories1.InitData(m_DB, (int)KS.CRM.Base.BL.Common.TableTypes.Favorites);
            ucCategories1.LoadData(-1);

            ShowStatus();

            if (this.Created)   // Radiobutton sends a Click-Event OnCreateControl and loads data
                DataViewManager.LoadData(false);

            return true;
        }        
        
        private void radViewMyFavorites_Click(object sender, EventArgs e)
        {
            ucCategories1.Enabled = true;
            m_DataViewManager.LoadData("Favorites");
        }

        private void radViewMyHistories_Click(object sender, EventArgs e)
        {
            ucCategories1.Enabled = false;
            m_DataViewManager.LoadData("Histories", 0);
        }

        private void radAllHistories_Click(object sender, EventArgs e)
        {
            m_DataViewManager.LoadData("Histories", 1);
        }        
    }
}
