/*
{*******************************************************************}
{                                                                   }
{       KS.CRM                                                      }
{       Customer Relationship Management                            }
{                                                                   }
{       Copyright (c) 2002 - 2013 by Kroll-Software                 }
{       All Rights Reserved                                         }
{                                                                   }
{   This code is provided 'as is',                                  }
{   without warranties of any kind. Use at your own risk.           }
{                                                                   }
{   You need a KS.CRM source-code license in order to use           }
{   these sources or portions of it.                                }
{                                                                   }
{   You must not publish, redistribute or transfer                  }
{   this source code to 3rd parties under any conditions.           }
{                                                                   }
{*******************************************************************}
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using KS.CRM.UI;

namespace KS.CRM.Favorites
{
    public partial class FavoriteSearch : CrmSearchFormBase
    {
        public FavoriteSearch()
            : base()
        {
            InitializeComponent();
        }        

        public override string GetSQL()
        {
            string S = "";

            // ToDo
            if (txtAllFields.Text != "")
            {
                const string strBool = " OR ";
                AddSQLField(ref S, strBool, "Title", txtAllFields.Text);
            }            

            if (S != "")
                S = "(" + S + ")";

            return S;
        }

        protected override void OnActivated(EventArgs e)
        {
            base.OnActivated(e);
            txtAllFields.Focus();
            txtAllFields.SelectAll();
        }        

        public override void Reset()
        {
            base.Reset();
            txtAllFields.Text = "";
            txtAllFields.Focus();
        }
    }
}