﻿using System;
using System.Reflection;
using System.Windows.Forms;

namespace PlugInSDKStartUp
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        //[STAThread]
        //public static void Main(string[] args)
        {
            string path = System.IO.Path.GetDirectoryName(Application.ExecutablePath) + "\\KS.CRM.exe";

            Assembly assm64 = Assembly.LoadFile(path);
            Type t = assm64.GetType("KS.CRM.Program");
            /*
            "App64.Program" is the class which contains the static Main() entry
            point function
            */

            MethodInfo mi = t.GetMethod("Main", BindingFlags.Static | BindingFlags.Public);

            if (mi != null)
            {
                //mi.Invoke(null, args);                
                try
                {
                    mi.Invoke(null, null);
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message, "PlugInSDKStartUp", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
            else
            {
                MessageBox.Show("Unable to load KS.CRM.exe", "KS.CRM Plug-In SDK StartUp Launcher", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}
